LPQ(1)

NAME
lpq - spool queue examination program

SYNOPSIS
lpq [ -a ] [ -A ] [ -l ] [ -L ] [ -P printer ] [ -s ]
[ -t sleeptime ] [ -V ] [ -D debugopt ]
[ jobid... ]

DESCRIPTION
lpq requests a status report from lpd(8) on the specified printers or jobs. lpq invoked without any arguments reports on the printer given by the default printer (see -P option). The short (default) format simply lists the printer, host, and numbers of jobs in the spool queue. When using the long format (-l option), for each job in a spool queue lpq reports the job identifier which is generated from the user's name and originating host, current rank in the queue, the job number (which may be supplied to lprm(1) for removing a specific job), the job description information, and the total size in bytes. If there is an error or other problem with the job, this information may be modified to reflect the problems. In a spool queue, Job ordering is a modified FIFO (First in First Out), modified by the job class and priority information.

The following options are available.

-A  Use authentication specified by the value of the AUTH environment variable.

-Ddebugoptions
    Debugging is controlled using the -D option. This accepts a comma-separated list of debugging settings. These settings take one of two forms: facility=value , or value to set an overall default value.

-P printer
    By default, the destination printer is taken from the command line printer value, then the environment variables PRINTER, LPDEST, NPRINTER, NGPRINTER, then first entry in the printcap information, and and finally the default_printer entry from the configuration file, and then the compile time default. Note that the special printer all has the same affect as the -a option.

-V  Print version information.

-a  All printers listed in the printcap(5) database are reported. This list is generated by the server, and may differ from what the user printcap information contains.

-l  Increase verbosity of the long display format. A single -l options selects a short verbose display, multiple -l options increase the verbosity.

-L  Use maximum verbosity for the long display format.

-s  Display a short, single line status summary for each queue and subqueue.

-tsleeptime
    Forces lpq to periodically display the spool queues and then sleep sleeptime seconds between scans of the queue.

jobid ... all
    The options are followed by a list of jobids which are used to select jobs of interest. A jobid can be a user name, a job identifier, a job number, or a glob based pattern which will be applied to the job identifiers. The all keyword will display all jobs and is the default option.

The lpq will report the status of the spool queue (enabled for spooling, disabled for unspooling), and the absence of a server if unspooling is enabled. The lpc(1) command lpc start <printer> may be used to start the server if this is the case.

ENVIRONMENT

By default, the destination printer is taken from the command line dest value, then the environment variables PRINTER, LPDEST, NPRINTER, NGPRINTER, then first entry in the printcap information, and and finally the default_printer entry from the configuration file, and then the compile time default.

EXIT STATUS

The following exit values are returned:

zero (0)
    Successful completion.

non-zero (!=0)
    An error occurred.

PRINTCAP INFORMATION

The printer names and other information is obtained by using a printcap file or some other database. The ${HOME}/.printcap file can be used to specify user level options and configuration information. See printcap(5) for more information.

FILES

The files used by LPRng are set by values in the printer configuration file. The following are a commonly used set of default values.
/etc/lpd.conf		LPRng configuration file
${HOME}/.printcap	user printer description file
/etc/printcap		system printer description file
/etc/lpd.perms	printer permissions
/var/spool/printer*		spool directories
/var/spool/printer*/printer	lock file for queue control
/var/spool/printer*/control.printer	queue control
/var/spool/printer*/active.printer	active job
/var/spool/printer*/log.printer	log file

SEE ALSO
lpd.conf(5), lpc(8), lpd(8), checkpc(8), lpr(1), lprm(1), printcap(5), lpd.perms(5), pr(1).

DIAGNOSTICS
Most of the diagnostics are self explanatory.
If you are puzzled over the exact cause of failure,
set the debugging level on (-D5) and run again.
The debugging information will
help you to pinpoint the exact cause of failure.

HISTORY
LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. The LPRng mailing list is lprng@lprng.com; subscribe by sending mail to lprng-request@lprng.com with the word subscribe in the body. The software is available from ftp://ftp.astart.com/pub/LPRng.

AUTHOR
Patrick Powell <papowell@lprng.com>.